#if 0 /*
# -----------------------------------------------------------------------
# newmail.py - IdleBarplugin for the mail plugin
# Author: Viggo Fredriksen <viggo@katatonic.org>
# -----------------------------------------------------------------------
# Freevo - A Home Theater PC framework
# Copyright (C) 2003 Krister Lagerstrom, et al.
# Please see the file freevo/Docs/CREDITS for a complete list of authors.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MER-
# CHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# ----------------------------------------------------------------------- */
#endif

# python modules
import os

# freevo modules
from plugins.idlebar import IdleBarPlugin
import plugin, config

class PluginInterface(IdleBarPlugin):
    """
    This plugin shows new mails fetched with the mail plugin.
    Use only if you're using the mail plugin.

    Activate with:
    plugin.activate('idlebar.newmail',   level=xx)
    """
    def __init__(self):
        IdleBarPlugin.__init__(self)
        self.NO_MAILIMAGE = os.path.join(config.ICON_DIR, 'status/mail_dimmed.png')
        self.MAILIMAGE    = os.path.join(config.ICON_DIR, 'status/mail_new.png')
        self.NO_SERVER    = os.path.join(config.ICON_DIR, 'status/mail_offline.png')
    
    def draw(self, (type, object), x, osd):
        watcher = plugin.getbyname('Mailwatcher')
        display_width = 0
        count = -1
        draw = True
        if watcher:
            try:    count = watcher.getNewMailCount()
            except: pass

            if count > 0:
                draw = False
                strUnread = '%i' % count
                font  = osd.get_font('small0')

                display_width,i_h = osd.drawimage(self.MAILIMAGE, (x, osd.y + 10, -1, -1))
                h = max((45-i_h),font.height)
                y = (osd.y + i_h + 10 )
                if (i_h+h)>45: y -= ((i_h+h)-45)

                osd.write_text(strUnread, font, None, x,
                               y, display_width,
                               h, align_h='center', 
                               align_v='middle', mode='hard')
            elif count == -1:
                # server unavail
                draw = False
                display_width = osd.drawimage(self.NO_SERVER, (x, osd.y + 10, -1, -1))[0]

        if draw:
            display_width = osd.drawimage(self.NO_MAILIMAGE, 
                                           (x, osd.y + 10, -1, -1))[0] 
        return display_width
